%define	emacsver	20.7
%define	xemacsver	21.1.14-25
%define im_ver		143
%define MODDIR		`perl -MConfig -e 'print $Config{installvendorlib}'`

Name:			mew
Version:		2.2
Release:		6
License:		BSD-like
URL:			http://www.mew.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}
BuildPrereq:		emacs >= %{emacsver}
BuildPrereq:		xemacs >= %{xemacsver}
BuildRequires:		emacs >= %{emacsver}
BuildRequires:		xemacs >= %{xemacsver}

## re-compressed with bzip2 instead of gzip
## Source0: ftp://ftp.mew.org/pub/Mew/mew-%{version}.tar.gz
Source0:		mew-%{version}.tar.bz2
Source1:		mew-init.el
Source10:		http://tats.iris.ne.jp/im/im-%{im_ver}.tar.gz

Patch0:			mew-2.2-makefile.patch


Summary:		Mew - Messaging in the Emacs World.
Group:			Applications/Internet
Requires:		emacs >= %{emacsver}
Requires:		%{name}-common = %{version}
Obsoletes:		mew-mule 
Conflicts:		mew-xemacs-extra

%description
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the files for Emacs.


%package xemacs
Summary:		Mew - Messaging in the Emacs World for XEmacs
Group:			Applications/Internet
Requires:		xemacs >= %{xemacsver}
Requires:		%{name}-common = %{version}
Conflicts:		xemacs <= 21.1.14-24
## xemacs for ia64 isn't available yet. 
ExcludeArch:		alpha

%description xemacs
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the files for XEmacs.


%package common
Summary:		Mew - Common files of Messagin in the Emacs World
Group:			Applications/Internet
Prereq(post,postun):	/sbin/install-info
Obsoletes:		im

%description common
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the common files.


%prep
%setup -q -n %{name}-%{version} -a 10
%patch0 -p1 -b .makefile

%build
(cd im-%{im_ver} && \
./configure --prefix=%{_prefix} --libdir=%{_sysconfdir} --with-perldir=%{MODDIR} && \
cd cnf.im && \
sed -e 's/FromDomain=.*#/FromDomain=#/' \
    -e 's/ToDomain=.*#/ToDomain=#/' SiteConfig > SiteConfig.$$ && \
mv SiteConfig.$$ SiteConfig \
)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_infodir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/{mew,site-start.d}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/{mew,site-start.d}

#(cd $RPM_BUILD_DIR/%{name}-%{version}/bin && \
#%%configure
#)

#
# for Emacs
#
make prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/emacs elispdir=%{_datadir}/emacs/site-lisp/%{name}
make EMACS=/usr/bin/emacs infodir=%{_infodir} info
make EMACS=/usr/bin/emacs infodir=%{_infodir} jinfo

%makeinstall \
	elispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name} \
	INSTALLINFO="/sbin/install-info"

make install-jinfo \
	INSTALLINFO="/sbin/install-info" \
	infodir=$RPM_BUILD_ROOT%{_infodir}

install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

make clean

#
# for XEmacs
#
make prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/xemacs elispdir=%{_libdir}/xemacs/xemacs-packages/lisp/%{name}
%makeinstall \
	elispdir=$RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/%{name} \
	INSTALLINFO="/sbin/install-info"

install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d

#
# for Common files
#
mv $RPM_BUILD_ROOT%{_libdir}/emacs/etc/Mew $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# Fixed detect an invalid file dependent.
(cd $RPM_BUILD_DIR/%{name}-%{version}/contrib && \
	for i in *; do \
		sed -e s,/usr/local/bin/perl,/usr/bin/perl,g $i > $i.new && mv $i.new $i; \
	done \
)
chmod a-x $RPM_BUILD_DIR/%{name}-%{version}/contrib/*

#
# for IM
#
(cd im-%{im_ver} && \
make prefix=$RPM_BUILD_ROOT%{_prefix} libdir=$RPM_BUILD_ROOT%{_sysconfdir} perldir=$RPM_BUILD_ROOT%{MODDIR} install && \
rm -f rpm-files \
)
echo %{MODDIR}/IM/ >rpm-files
mkdir -p doc-im-%{im_ver}/im-%{im_ver}
for i in im-%{im_ver}/00* im-%{im_ver}/dot.im im-%{im_ver}/man; do
	cp -a $i doc-im-%{im_ver}/im-%{im_ver}/
done

# clean the unnecessary files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post common
/sbin/install-info %{_infodir}/mew.info \
	%{_infodir}/dir --section="Message User Agent"
/sbin/install-info %{_infodir}/mew.jis.info \
	%{_infodir}/dir --section="Message User Agent"

%preun common
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/mew.info \
  	%{_infodir}/dir --section="Message User Agent"
  /sbin/install-info --delete %{_infodir}/mew.jis.info \
  	%{_infodir}/dir --section="Message User Agent"
fi


%files 
%defattr (-, root, root)
%doc 00changes 00copyright 00copyright.jis 00diff 00readme mew.dot.emacs
%dir %{_datadir}/emacs/site-lisp/%{name}
%{_datadir}/emacs/site-lisp/%{name}/*
%{_datadir}/emacs/site-lisp/site-start.d/mew-init.el

%files xemacs
%defattr (-, root, root)
%doc 00changes 00copyright 00copyright.jis 00diff 00readme mew.dot.emacs
%dir %{_libdir}/xemacs/xemacs-packages/lisp/%{name}
%{_libdir}/xemacs/xemacs-packages/lisp/%{name}/*
%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/mew-init.el

%files common -f rpm-files
%defattr (-, root, root)
%doc 00changes 00copyright 00copyright.jis 00diff 00readme mew.dot.emacs
%doc contrib/
%doc doc-im-%{im_ver}/*
%dir %{_datadir}/pixmaps/Mew
%dir %{_sysconfdir}/im
%config %{_sysconfdir}/im/SiteConfig
%{_bindir}/*
%{_datadir}/pixmaps/Mew/*
%{_infodir}/mew.info.gz
%{_infodir}/mew.info-*
%{_infodir}/mew.jis.info.gz
%{_infodir}/mew.jis.info-*
%{_mandir}/man1/*


%changelog
* Mon Dec 16 2002 Akira TAGOH <tagoh@redhat.com> 2.2-6
- security fix release for im.
- install im to installvendorlib path instead of installsitelib path.
- fix some missing files.

* Mon Jun 24 2002 Akira TAGOH <tagoh@redhat.com> 2.2-5
- fix the description. (Bug#65556)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-2
- disable alpha because nothing is xemacs for alpha now.
- enable ia64.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-1
- New upstream release.
- mew-2.2-makefile.patch: updates.

* Wed Jan 30 2002 Akira TAGOH <tagoh@redhat.com> 2.1-3
- merged im.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov  1 2001 Akira TAGOH <tagoh@redhat.com> 2.1-1
- New upstream release.

* Mon Oct 15 2001 Akira TAGOH <tagoh@redhat.com> 2.0-1
- New upstream release.
- Replaced the appropriate rpmmacros.
- Added package for xemacs.
- Split the common files of emacs and xemacs.

* Wed Oct  3 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.94.2-12
- Fix broken %%post script ("oops!" is not a binary)
- s/Copyright/License/
- Don't define version and release on top of the file, and then use these to set
  the header values. Once is enough.

* Tue Oct  2 2001 Jens Petersen <petersen@redhat.com>  1.94.2-11
- put localhost in mew-mail-domain-list (mew-init.el) to avoid startup error

* Fri Sep  7 2001 SATO Satoru <ssato@redhat.com>  1.94.2-10
- added the line for the missing files in %%files (#54235)

* Wed Jul 17 2001 SATO Satoru <ssato@redhat.com>  1.94.2-9
- s/Emacs\=emacs/Emacs\=\/usr\/bin\/emacs/

* Mon Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix the group (close #47279)
- BuildPrereq: emacs >= %%{emacsver}
- BuildRequires: emacs >= %%{emacsver}

* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- this is *not* a noarch package

* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com>
- rebuild (mew-*.tar.bz was corrupted)
- modified mew-init.el

* Tue Jun  5 2001 SATO Satoru <ssato@redhat.com>
- remove the Japanese messages
- fix Copyright term.
- clean up SPEC
- add mew-init.el
- BuildArch: noarch
- shorten lengthy description
- build for 7.2

* Tue Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- fix License Term.
- adopt FHS
- built on RedHat 7.0

* Wed Jun  7 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- fix description: mess up with mule/emacs/xemacs...
- added BuildRequires and Conflicts

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- updated 1.94.2

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- added PreReq: /sbin/install-info
- attrib +x for /usr/bin/uumerge
- CFLAGS="$RPM_OPT_FLAGS"

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-2
 - changed destination to /usr/share/emacs/site-lisp/mew

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-1
 - updated in sync with 1.94.1 release
 - fixed %post and %preun section
 - Obsoletes: mew now changed to Obsoletes: mew-mule

* Fri Oct  8 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - fixed info path & install info
 - fixed '%description'

* Sat Oct  2 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - removed extra packages
 - fixed char-set "euc" of the spec file.
 - slight modifications for Vine-1.9

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 1.94-3
  - package name changed from mew-emacs to mew
  - make info, make jinfo now processed even under emacs

* Thu Sep 16 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- Released as version "1.94-2".

Changed from "mew-emacs 1.94-1".
- Deleted "NoSource: 0", the definition part of data. 
- Revised some, the definition part of data. 
- Revised some, part of "%post, %postun".
- Changerd "%postun" => "%preun".

* Mon Sep  6 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- First release.
